Subject: Re: [Rats] RATS Digest, Vol 36, Issue 1

From: "Oliver, Ian (Nokia - FI/Espoo)" <[email-masked]>
Date: Mon, 3 May 2021 07:36:29 +0000

Say a device has two attesting environments. Are they layered or composite?

By my theory of layered attestation, they are composite only if there are endorsements for both. It is layered when one attesting supplies claims that is the basis of trust in the other.

In this theory, it doesn’t matter how the two attesting environments are implemented. The subsystem that one runs in could be involved with secured/trusted boot/start of the other (staged boot and such), but that is not what determines if it is layered or not. What matters is what manifest in RATS protocols.

My take on this is that they are independent - at least up to the verification stage.

Consider a typicaly x86 server with TXT, UEFI and TPM -  I could attest this via the TPM by obtaining a quote, *or* I could attest whether this machine has successfully verified its bootloader/kernel via UEFI, *or* I could extract the ACPI TPM2 table and verify that against some crieria, *or*, I could just query whether TXT was successful (txt-stat).

I would consider it up to the verifier to decide whether these are composite - which in effect they are in this case - and that, for a device to be trusted I would need to ensure at minimum,  the TPM quote is correct *and* the bootloader/kernel passes the secure boot verification.  If I were more paranoid then I'd additionally audit the eventlog etc.

Is this what you mean?

--

Dr. Ian Oliver

Cybersecurity Research

Distinguished Member of Technical Staff

Nokia Bell Labs

+358 50 483 6237

________________________________
From: RATS <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: 03 May 2021 09:33
To: [email-masked] <[email-masked]>
Subject: RATS Digest, Vol 36, Issue 1

Send RATS mailing list submissions to
        [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
        https://www.ietf.org/mailman/listinfo/rats
or, via email, send a message with subject or body 'help' to
        [email-masked]

You can reach the person managing the list at
        [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of RATS digest..."